<?php
#
# config.php
# Brown University
# Web Template 4.0
# 2008-11-05


/* ##################################### SET-UP ############################################### */

/* 
 * Set up a few variables that are used throughout the web site.
 */

$is_dev = ($_SERVER['SERVER_NAME'] == 'www.cis-qas.brown.edu') ? true : false;

/**
 * the URL where the web site can be found
 * omit trailing slash
 */
$basehref = ($is_dev) ?
	"https://www.cis-qas.brown.edu/Administration/Campus_Life/fluweb" :
	"https://www.brown.edu/Administration/Campus_Life/fluweb";

/**
 * the directory of the includes
 * omit trailing slash
 */
$includes_directory = "/www/data/httpd/htdocs/Administration/Campus_Life/fluweb/inc";

/**
 * the directory of override includes (like local nav, or breadcrumb replacements)
 * wait... what?  Yep.  Let's say you want to override how the breadcrumb names are 
 * formatted because of a name conflict.  Just create an _overrides directory, and drop 
 * the files you want to override in there.  It my override other files in the future.
 * If you don't want to override anything, just leave this alone.
 */
$override_directory = "_overrides";


/* ################################### DEFAULTS ############################################### */

/* 
 * Set up some defaults values. 
 * These defaults can be over-ridden by using code in a template page.
 */

/* 
 * Set up a little information about the default banner.  
 */
$banner = array(
					 "size" => "L" // none, S, M, L;  right now, "S" means no banner
					,"path" => $basehref . "/img/banner.jpg" // BASEHREF will be prepended to it.
				);

/* 
 * Which default layout type should we use?
 */
$layout_type = "3"; // text, 2, or 3; 2 & 3 specify columns


/* 
 * Do you want to display the search field in the sidebar?
 */
$show_search = FALSE; // true or false


/* 
 * Do you want to show the department contact info under the nav?
 */
$show_address = TRUE; // true or false

/* 
 * Do you want the breadcrumb to show?
 */
$show_breadcrumb = FALSE; // true or false


/* ################################# JAVASCRIPT ############################################### */

/* 
 * jQuery is a javascript library that loads by default.  
 * jQuery includes other modules that you can optionally turn on 
 * if you have a page that uses them
 */


/* 
 * Leave jQuery active.
 */
$jQuery = TRUE; // true or false


/* 
 * Load additional jQuery UI modules:
 * only load the ones you need so your pages load quickly!
 *
 */
$jQuery_ui_modules = array (
							 "base"			=> true // core UI script
							 
							 // Interaction libraries
							,"draggable"	=> true
							,"droppable"	=> false
							,"resizable"	=> false
							,"selectable"	=> false
							,"sortable"		=> false

							 // Widgets -- some may require Interaction libraries
							,"accordion"	=> true
							,"dialog"		=> true
							,"datepicker"	=> false
							,"slider"		=> false
							,"tabs"			=> false
						);


/* 
 * Load additional javascript:
 * Load custom javascript here.
 */
$additional_javascript = array(); // do not edit
$additional_javascript[] =  "/js/feedback.js";
//$additional_javascript[] =  ""; // add as many as you want.


/* ############################################################################################ */


/**
 * No more configuration!
 * 
 * You don't have to touch anything below this point.  
 */



/**
 * Setting the include path allows us to not have to specify the file path with each include.
 * e.g.		instead of:	<?php include("../shared/navigation.php"); ?>
 *			we can use:	<?php include("navigation.php"); ?>
 *			from any page that uses this config.
 */
define("BASEHREF", $basehref);
define("INCLUDES_DIRECTORY", $includes_directory);
define("OVERRIDE_DIRECTORY", $override_directory);

set_include_path(get_include_path() . PATH_SEPARATOR . INCLUDES_DIRECTORY);


if(isset($show_breadcrumb) && $show_breadcrumb == TRUE) {
	require('brown_breadcrumbs.class.php');
	$page_title = (isset($page_title)) ? $page_title : "";
	$Crumbs = new Brown_Breadcrumbs($page_title);
    $Crumbs->addReplacement("fluweb", "FluWeb");

}


// a standard set of server-side functions
//require_once("functions.php");

?>
