<?php
/*
// $Id: coursepicker.inc.php 903 2009-07-16 21:01:20Z anwosu $
// $Rev: 903 $
// $Date: 2009-07-16 17:01:20 -0400 (Thu, 16 Jul 2009) $
// $Author: anwosu $
// $URL: https://svn.brown.edu/svn/sys-srv/gateway/trunk/coursepicker.inc.php $
*/
//	require_once "../../core/ldap/ldaputils.inc";

require "./config/gateway_config.php";
?>

<script type="text/javascript">
<!--

var selectedTerm;
var selectedDepartment;
var selectedCourse;	
var fromBanner;

$(document).ready(function() {
	$("#courserefresh").hide();

	// get radio button selection
	fromBanner = $("#banner").attr("checked");
	updateEnabled();
	
	// get entered fields
	enteredCourse = $("#numberentry").val();
	enteredSection = $("#sectionentry").val();

	// get initial term, department, and course
	selectedTerm = $("#terms").attr("value");
	selectedDepartment = $("#codes").attr("value");
	selectedCourse = $("#bannerSelect").attr("value");	

	//updateCourses();  // also updates submit when done
	updateSubmit();
	
	// handle updates
	$("#terms").bind("click", function(e) {
		selectedTerm = $("#terms").attr("value");
		updateCourses();
	});
	
	$("#codes").bind("click", function(e) {
		selectedDepartment = $("#codes").attr("value");
		updateCourses();
	});

	$("#bannerSelect").bind("click", function(e) {
		selectedCourse = $("#bannerSelect").attr("value");
		updateSubmit();
	});

	$("#banner").bind("click", function(e) {
		fromBanner = true;
		updateEnabled();
		updateSubmit();
	});

	$("#nobanner").bind("click", function(e) {
		fromBanner = false;
		updateEnabled();
		updateSubmit();
	});

	$("#pickerform").bind("submit", function(e) {
		if (fromBanner) {
			return checkBanner();
		}
		else {
			return checkEntered();
		}
	});

});

function jsonURL() {
	return "<? echo  $http_root; ?>/core/ldap/ldaputils-json.php";
}

function updateEnabled() {
	if (fromBanner) {
		$("#bannerSelect").attr("disabled", false);
		$("#numberentry").attr("disabled", true);
		$("#sectionentry").attr("disabled", true);
	}
	else {
		$("#bannerSelect").attr("disabled", true);
		$("#numberentry").attr("disabled", false);
		$("#sectionentry").attr("disabled", false);
	}
}

function updateCourses() {
	$.ajax({
		type: "GET",
		url: jsonURL(),
		data: {operation: "get_courses", term: selectedTerm, department: selectedDepartment},
		dataType: "json",
		success:
			function(result) {
				var i;
				if (result instanceof Array) {
					$("#bannerSelect").empty();
					for (i in result) {
						if (selectedCourse == result[i]) {
							$("#bannerSelect").append(
							  "<option value=\"" + result[i] + "\" selected=\"selected\">" + result[i] + "</option>");
						}
						else {
							$("#bannerSelect").append(
							"<option value=\"" + result[i] + "\">" + result[i] + "</option>");
						}
					}
				}
				else {	// error
					alert(result);	
				}
				selectedCourse = $("#bannerSelect").attr("value");
				updateSubmit();
		   },
		error:
			function(XMLHttpRequest, textStatus, errorThrown) {
				var messages = new Array();
				messages.push("Course lookup failed: ");
				if (textStatus != "") {
					messages.push("  status: " + textStatus);
				}
				if (errorThrown != "") {
					messages.push("  error: " + errorThrown);
				}
				arrayAlert(messages);
			}

	});
}

function updateSubmit() {
	if (fromBanner) {
		$("#pickersubmit").attr("disabled",
			(selectedCourse == "") ? true : false);
	}
	else {
		$("#pickersubmit").attr("disabled", false);
	}
}

function checkBanner() {
	var selection;
	var messages = new Array();
	var bannerError = false;

	selection = $("#bannerSelect").attr("value");
	
	if (selection == "") {
		messages.push("No course was selected");
		bannerError = true;
	}

	$("#bannertd").attr("class",
						bannerError ? "errorbkg" : "hasbackground");

	if (messages.length > 0) {
		var text = "";
		for (var i = 0; i < messages.length; i++) {
			if (i != 0) {
				text += "\n";
			}
			text += messages[i];
		}

		alert(text);
	}

	return !bannerError;
}

function checkEntered() {
	var enteredCourse;
	var enteredSection;
	var messages = new Array();
	var courseError = false;
	var sectionError = false;

	enteredCourse = $("#numberentry").val();
	enteredSection = $("#sectionentry").val();
	
	if (enteredCourse == "") {
		messages.push("No course number was entered");
		courseError = true;
	}
	else if (enteredCourse.match(/^[0-9]{4,4}[A-Za-z0-9]{0,2}$/) == null) {
		messages.push("Course number \"" + enteredCourse + "\" is not valid");
		courseError = true;
	}

	$("#numbertd").attr("class",
						courseError ? "errormsg" : "");

	if (enteredSection == "") {
		messages.push("No section number was entered");
		sectionError = true;
	}
	else if (enteredSection.match(/^[A-Za-z0-9]{3,3}$/) == null) {
		messages.push("Section number \"" + enteredSection + "\" is not valid");
		sectionError = true;
	}

	$("#sectiontd").attr("class",
						  sectionError ? "errormsg" : "");

	arrayAlert(messages);

	return !(courseError || sectionError);
}

function arrayAlert(messages) {
	if (messages.length > 0) {
		var text = "";
		for (var i = 0; i < messages.length; i++) {
			if (i != 0) {
				text += "\n";
			}
			text += messages[i];
		}

		alert(text);
	}
}

-->
</script>

<?php
	/* This function implements customization of the term list.
	   The default term list is the terms in the XML metadata feed, which were
	   obtained from ldaputils getCourseSelectors.
	   If the array variable $picker_term_list is defined, that list is used
	   instead.
	   If the array variable $picker_term_includes is defined, the term list
	   will include only terms which are in both the default and includes
	   lists.
	*/

	function get_effective_terms($selector_terms) {
		global $picker_term_list;
		global $picker_term_includes;
		
		// If actual list is specified, return it
		if (!is_null($picker_term_list)) {
			return $picker_term_list;
		}

		// If includes not specified, return default
		if (is_null($picker_term_includes)) {
			return $selector_terms;
		}

		// Returns terms from default list found in includes
		$result_terms = array();
		foreach ($selector_terms as $selector_term) {
			if (in_array($selector_term, $picker_term_includes)) {
				$result_terms[] = $selector_term;
			}
		}
		return $result_terms;
	}
?>

<div id="coursepicker">

<form id="pickerform" action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">

	<table border="0" cellpadding="3" cellspacing="0">
		<?php
		if (!$suppress_course_picker_title) {
			echo "<tr>";
				echo "<td colspan=\"4\" align = \"center\">";
				echo "<strong>Course Selection</strong>";
				echo "</td>";
			echo "</tr>";
		}
		?>

		<tr>
			<td class="tdmargin"></td>
			<td></td>
			<td></td>
			<td class="tdmargin"></td>
		</tr>

		<tr>
			<td colspan="4">
				<hr />
			</td>
		</tr>
		
		<?php
			foreach ($picker_errors as $picker_error) {
				print "<tr><td class=\"tdmargin\"></td><td colspan=\"3\" class=\"errormsg\">";
				print "&#149; $picker_error</td></tr>";
			}
		?>

		<tr>
			<td></td>
			<td valign="middle"
				<?php echo $err_term ? "class=\"errorbkg\"" : "class=\"hasbackground\"" ; ?> >
				<label for="terms">Select the term:</label>
			</td>
			<td class="hasbackground" valign="middle">
				<select id="terms" name="term">
					<?php
					$picker_selectors = getCourseSelectors();
					$selected_term = "";
					if ($picker_selectors['status']['ok']) {
						$effective_terms = get_effective_terms($picker_selectors['terms']);
//						$selected_term = $effective_terms[0];
						if (empty($req_term)){
							printf("<option value=\"\" selected=\"selected\">- Select a Term -</option>");
						}
						else {
							printf("<option value=\"\">- Select a Term -</option>");
						}
						foreach ($effective_terms as $picker_term) {
							if ($req_term === $picker_term) {
								$selected_term = $picker_term;
								printf("<option value=\"%s\" selected=\"selected\">%s</option>",
										$picker_term, $picker_term);
							}
							else {
								printf("<option value=\"%s\">%s</option>",
										$picker_term, $picker_term);
							}
						}
					}
					else {
//						$selected_term = "";
						$message = $picker_selectors['status']['message'];
						error_log("getCourseSelectors: $message"); 
					}
					?>
				</select>
			</td>
		</tr>

		<tr>
			<td></td>
			<td valign="middle"
				<?php echo $err_code ? "class=\"errorbkg\"" : "class=\"hasbackground\"" ; ?> >
				<label for="codes">Select the department:</label>
			</td>
			<td class="hasbackground" valign="middle">
				<select id="codes" name="code">
					<?php
					$selected_code = "";
					if ($picker_selectors['status']['ok']) {
//						$selected_code = $picker_selectors['codes'][0];
						if (empty($req_code)){
							printf("<option value=\"\" selected=\"selected\">- Select a Department -</option>");
						}
						else {
							printf("<option value=\"\">- Select a Department -</option>");
						}
						foreach ($picker_selectors['codes'] as $picker_code) {
							if ($req_code === $picker_code) {
								$selected_code = $picker_code;
								printf("<option value=\"%s\" selected=\"selected\">%s</option>",
										$picker_code, $picker_code);
							}
							else {
								printf("<option value=\"%s\">%s</option>",
										$picker_code, $picker_code);
							}
						}
					}
//					else {
//						$selected_code = "";
//					}
					?>
				</select>
			</td>
		</tr>
		
		<tr>
			<td></td>
			<td id="bannertd" valign="middle"
 				<?php echo $err_crn ? "class=\"errorbkg\"" : "class=\"hasbackground\"" ; ?> >
				<!--label for="banner"-->
					<input id="banner" name="select_opt" type="radio" value="listed" style="display:none"
						<?php if ($req_frombanner) echo "checked=\"checked\""; ?> />
					<!--Select a course:
				</label-->
				<label for="bannerSelect">Select the course</style>
			</td>
			<td class="hasbackground" valign="middle">
				<select id="bannerSelect" name="course" size="4">
					<?php
					$coursespec = sprintf("%s:*:%s:*", 
								$selected_code, $selected_term);
					$picker_matches = findMatchingCourses($coursespec);
					if ($picker_matches['status']['ok']) {
						foreach ($picker_matches['courses'] as $picker_course) {
							if ($req_crn === $picker_course) {
								printf("<option value=\"%s\" selected=\"selected\">%s</option>",
										$picker_course, $picker_course);
							}
							else {
								printf("<option value=\"%s\">%s</option>",
										$picker_course, $picker_course);
							}
						}
					}
					else {
						$message = $picker_matches['status']['message'];
						error_log("findMatchingCourses: $message"); 
					}
					?>
				</select>
			</td>
		</tr>

		<tr>
			<td></td>
			<td class="hasbackground"></td>
			<td class="hasbackground" align="center">
				<input id="courserefresh" name="update" type="submit" value="Update" />
			</td>
		</tr>

		<!-- Begin Enter Course - REMOVED -->
		<!-- <tr>
			<td></td>
			<td class="hasbackground" colspan = "2">
				<label>
					<input id="nobanner" name="select_opt" type="radio" value="not listed"
						<?php //if (!$req_frombanner) echo "checked=\"checked\""; ?> />
					Enter a course not listed in Banner:
				</label>
			</td>
		</tr>
		<tr>
			<td></td>
			<td class="hasbackground" colspan="2">
				<table border="0" cellpadding="3" cellspacing="0">
					<tr>			
						<td class="tdmargin"></td>
						<td id="numbertd" valign="middle"
 							<?php //echo $err_course ? "class=\"errormsg\"" : "" ; ?> >
							<label>
								Course number:
								<input id="numberentry" name="course_number" type="text"  size="6" maxlength="6"
									<?php //echo "value=\"$d_req_course\""; ?> />
							</label>
						</td>
						<td valign="middle">
							<label>(e.g. 1230 or 3450A)</label>
						</td>
					</tr>
					<tr>
						<td></td>
						<td id="sectiontd" valign="middle"
 							<?php //echo $err_section ? "class=\"errormsg\"" : "" ; ?> >
							<label>
								Section number:
								<input id="sectionentry" name="section_number" type="text" size="3" maxlength="3"
									<?php //echo "value=\"$d_req_section\""; ?> />
							</label>
						</td>
						<td valign="middle">
							<label>(e.g. S01)</label>
						</td>
					</tr>
					<tr>
						<td></td>
						<td colspan="2">
							<label>Please enter only courses which are not in Banner.</label>
						</td>
					</tr>
				</table>
			</td>
		</tr> -->

		<tr>
			<td></td>
		</tr>

		<tr>
			<td colspan="4" align = "center">
				<input id="pickersubmit" type="submit" name = "submit" value="Submit" />
			</td>
		</tr>

		<tr>
			<td colspan="4">
				<hr />
			</td>
		</tr>
						
	</table>

</form>
</div>
