<?php
# index.php
# Brown University
# Campus Life H1N1 Template
# web_services@brown.edu
# 2009-09-02


include "/www/data/httpd/htdocs/Facilities/CIS/core/ldap/ldaputils.inc.php";
require_once "../config.php";
require "/www/data/httpd/htdocs/Administration/Campus_Life/fluweb/inc/functions.php";
require "../dbconn.php";	

// Set the semester
$semester = '2021-Fall';

// Grab the username and go get all the courses for this person

$visitor = $_SERVER['BROWN_AUTH_USERNAME'];
if(!isset($visitor))
{ $visitor = $_SERVER['REDIRECT_BROWN_AUTH_USERNAME'];}


	$visitor_result = getPersonInfo($visitor);
	if (!$visitor_result['status']['ok']) {
		$message = $visitor_result['status']['message']." ".$visitor;
		print "Failed: $message<br />";
	}

if(isset($_GET['facname'])) {
	$prof_username = htmlentities($_GET['facname']);
} else {
	$prof_username = $visitor;
}


/////////////////////////////////////
// CHANGE THIS WHEN TESTING IS DONE!!
//$prof_username = "gdeclipp";

	$prof_result = getPersonInfo($prof_username);
	if (!$prof_result['status']['ok']) {
		$message = $prof_result['status']['message']." ".$prof_username;
		print "Failed: $message<br />";
	}
	
	
	
		
	/* 
	 * Set a title for the page, " | Brown University" will be appended to it
	 */
	$page_title = "Reporting Influenza-Like Illness and Missed Classes";

	/* 
	 * Override the banner size
	 */
	$banner["size"] = "S"; // none, S, M, L;  right now, "S" means no banner
//	$banner["path"] = ""; // we could use a different banner here if we wanted to.


	/*
	 * Which layout does this page have?
	 */
	$layout_type = "2"; // text, 2, or 3; 2 & 3 specify columns

	/* 
	 * Do you want to display the search field in the sidebar?
	 */
	$show_search = FALSE; // true or false

	/* 
	 * Do you want to show the department contact info under the nav?
	 */
	$show_address = TRUE; // true or false


	/* 
	 * Do you have any special markup for the <head>?  Put it here!
	 */
	$extra_head_content = '<link rel="stylesheet" href="css/handheld.css" type="text/css" media="handheld">
';

	include_once "header_main.tpl.php";

?>


<!-- Begin #content (includes #navbar, #main, and #sidebar) -->
<div id="content">
		  


	<!-- Begin #main -->
	<div id="main" class="column">
			<?php include_once("userpanel.inc.php"); ?>

<br/>
<script type="text/javascript" src="/js/jquery/jquery.min.js"></script>
<script type="text/javascript" src="/js/jquery/tablesorter/jquery.tablesorter.js"></script>

<script type="text/javascript">
$(document).ready(function() 
    { 
        $("#sortableTable").tablesorter(); 
    
	sortList:[[3,0][1,0]]

    } 
); 
</script>

<?

	function getProfCourses($prof,$course)
	{
		return findPersonCourses($prof, $course, "Instructor");
	}

	$prof_course_list =   getProfCourses($prof_username, "*:*:".$semester.":*");
?>
		
<h1 class="tight">Influenza-Like Illness Report</h1>
<h2 class="tight">Reported student illnesses in official courses of record for <?php echo $prof_result['info']['displayname']; ?></h2>
<h5>Report Time: <?php echo date('l jS \of F Y h:i:s A'); ?></h5>

<div style="width:70%; border:thin solid black; align:center; padding:10px; text-align:center; margin:25px;">
Please be aware that the primary instructor of record for a course, as defined in Banner, is the only one who can access the list of FluWeb reports for a course. It is quite possible that only one member of a teaching team will be able to pull down the FluWeb
reports for their class.
</div>


<form action="" method="POST">
<h4 class="tight">Filter report by course section</h4>
<select name="course_selector">
<option value='*:*:2009-Fall:*' selected>All</option>

<?	for($a=0; $a<count($prof_course_list['courses']); $a++)
	{
		echo "<option value='".$prof_course_list['courses'][$a]."'>".$prof_course_list['courses'][$a]."</option>";
	}
?>
</select> <input type='submit' name='submit' value='Submit'>
</form>
<br/>

<?
$course_choice = "*:*:".$semester.":*";

// Getting the value of the course selected from the drop-down list
if(isset($_POST['course_selector']))
{
        $course_choice = htmlentities($_POST['course_selector']);
} 

?>

<a href="facdata_excel.php?courses=<? echo $course_choice; ?>&prof=<? echo $prof_username; ?>">
<h4><img src="icon_Excel2007.gif" alt="excel_icon" height="32" width="32" align="middle"> Export to Excel</a>&nbsp;</h4>
<div>(Change the sort order by clicking on column headers)</div>
<table class="faculty_rpt" id="sortableTable">
	<thead>
	<tr>
	<th>ID</th>
	<th><a class="sortlink">Name</a></th>
	<th><a class="sortlink">Banner ID</a></th>
	<th><a class="sortlink">Course</a></th>
	<th><a class="sortlink">Symptoms Onset</a></th>
	<th><a class="sortlink">Report Submitted</a></th>
	</tr>
	</thead>
	<tbody>
<?	


// Get the courses that the prof wants to view, either one or all
$prof_course_list = getProfCourses($prof_username, $course_choice);

// Set a flag for there being no students 
$no_students = true;
// For each course the prof wants to view...
for($i=0; $i<count($prof_course_list[courses]); $i++)             
{          
	// ... get the student enrollment
        $students = getCourseStudents($prof_course_list['courses'][$i]);
        
	  // Using the student enrollment list...
    	  for($x=0; $x<count($students['members']); $x++)
          {
		// ...look for students in the Registry
                $sql = "SELECT * from Registry where username='".$students['members'][$x]."'";
                $rs = mysql_query($sql,$conn);

		// Get the info for each student that we found in the Registry for this course
                if(mysql_num_rows($rs)>0)
                {
			$no_students = false;
                        $name = mysql_fetch_object($rs);

			echo "<tr>";
			echo "<td>".$name->id."</td>";
				// Student names are in first last format.  For sorting, we want last,first.  Use ldaputils.	
				$sn_array = getUserInfo($name->username);
				$student_name = $sn_array['info']['sn'].", ".$sn_array['info']['givenname'];
			echo "<td>".$student_name."</td>";
			echo "<td>".$name->bannerID."</td>";
			echo "<td>".$prof_course_list[courses][$i]."</td>";
			echo "<td>".$name->symptom_onset."</td>";
			echo "<td>".$name->submitted."</td>";
			echo "</tr>";
                }

          }
	         
}

if($no_students)
{
	echo ' <tr><td colspan="6">There are no students that match your request.</td></tr>';
}

?>	
</tbody>
</table>
<div>
	<a href="facdata_excel.php?courses=<? echo $course_choice; ?>&prof=<? echo $prof_username; ?>">
	<h4 align="right"><img src="icon_Excel2007.gif" alt="excel_icon" height="32" width="32" align="middle"> Export to Excel</a>&nbsp;</h4>
</div>

<br/><br/>
	
	  <!-- End #main -->
	</div>


<!-- Begin #sidebar -->
	<div id="sidebar" class="column">
		
	
	<!-- End #sidebar -->
	</div>

<!-- End #content -->
</div>



<!-- End #wrapper -->
</div>

<?php 

	include_once("footer_main.tpl.php");

?>


</body>

</html>
