<?php
# index.php
# Brown University
# Campus Life Fluweb Template
# web_services@brown.edu
# 2009-09-02



require "/www/data/httpd/htdocs/Facilities/CIS/core/ldap/ldaputils.inc.php";
require "../config/gateway_config.php";
require "../admin/fluweb_functions.php";

require_once "../config.php";

    $visitor = $_SERVER['REDIRECT_BROWN_AUTH_USERNAME'];
if (!isset($visitor)) {
    $visitor = $_SERVER['BROWN_AUTH_USERNAME'];
}


    $visitor_result = getPersonInfo($visitor);
    if (!$visitor_result['status']['ok']) {
        $message = $visitor_result['status']['message'];
        print "Failed: $message<br />";
    }

    /*
     * Set a title for the page, " | Brown University" will be appended to it
     */
    $page_title = "Reporting Illness and Missed Classes";

    /*
     * Override the banner size
     */
    $banner["size"] = "S"; // none, S, M, L;  right now, "S" means no banner
	//$banner["path"] = ""; // we could use a different banner here if we wanted to.


    /*
     * Which layout does this page have?
     */
    $layout_type = "2"; // text, 2, or 3; 2 & 3 specify columns

    /*
     * Do you want to display the search field in the sidebar?
     */
    $show_search = false; // true or false

    /*
     * Do you want to show the department contact info under the nav?
     */
    $show_address = true; // true or false


    /*
     * Do you have any special markup for the <head>?  Put it here!
     */
    $extra_head_content = '<link rel="stylesheet" href="css/handheld.css" type="text/css" media="handheld">';

    // include "header_main.tpl.php";
?>
<html>
<head>
	<title><?php if (!empty($page_title)) {
    echo strip_tags($page_title) ." | ";
} ?> Brown University</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="Description" content="Reporting ILI and Missed Classes - Brown University Campus Life" />
	<link rel="start" href="<?php echo BASEHREF ?>" title="Home" />
	<link rel="search" href="#search" title="Search this website" />
  <link type="text/css" rel="stylesheet" media="screen" href="../css/2020.css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<body>
<div id="wrapper2020">
	<header>
		<div id="brown2020">
			<a href="https://www.brown.edu" id="brown-logo2020"><img id="logo" src="../img/logo.png" alt=""></a>
			<a href="https://www.brown.edu" id="brown-type2020">Brown University</a>
		</div>
	</header>

	<!-- Begin #main -->
	<main>
	<div id="main2020">
		<script>
		<!--
		function MM_openBrWindow(theURL,winName,features){
			window.open(theURL,winName,features);
		}
		//-->
		</script>
		<div id="userpanel2020">Logged in as <strong><?php echo $visitor_result['info']['displayname']; ?></strong></div>
		<br />
		<h1><?php echo $page_title; ?></h1>

<form id="form1" name="form1" method="post" action="thankyou.php">


	<h4 class="indent2020">Name:  <?php echo $visitor_result['info']['displayname']; ?><br />

	<input type="hidden" name="username" value="<?php echo $visitor_result['info']['brownshortid']; ?>">
	<input type="hidden" name="name" value="<?php echo $visitor_result['info']['displayname']; ?>">

	Banner ID: <?php echo $visitor_result['info']['brownsisid']; ?><br />
	<input type="hidden" name="bruid" value="<?php echo $visitor_result['info']['brownsisid']; ?>">
    Affiliation: <?php echo $visitor_result['info']['title']; ?></h4>
	<input type="hidden" name="status" value="<?php echo $visitor_result['info']['title']; ?>">

		<h3>Please provide the following information so we can help you manage your self-care and academic needs at this time.</h3>


		<ol>
			<li>Please provide your primary phone number(s) where we can best reach you:
				<div class="input-wrap">
					<label class="indent2020">
						<span>Phone 1<sup>*</sup></span>
						<input type="tel" class="required" name="phone1" value="<?php echo $visitor_result['info']['telephonenumber']; ?>" autocomplete="tel" />
					</label>
					<label class="indent2020">
						Phone 2
						<input type="tel" name="phone2" autocomplete="tel" />
					</label>
				</div>
			</li>

    	<!-- <li>Please provide your primary phone number(s) where we can best reach you:
      <p><label class="indent"><em>*</em> Phone 1: </label>
    		<input type="text" class="required" name="phone1" value="<?php echo $visitor_result['info']['telephonenumber'];  ?>" /></p>
				&nbsp;<p><label class="indent">Phone 2:</label><input type="text" name="phone2" /></p>
    	</li> -->

			<li>Where are you living right now?
				<div class="input-wrap">
					<div>
						<select name="living" class="living" id="living">
							<option value="dorm">Assigned Residence Hall</option>
							<option value="isolation">Temporary Isolation/Quarantine Space</option>
							<option value="off_campus">Off Campus Residence</option>
						</select>
					</div>
				</div>
				<div class="input-wrap">
					<label class="indent2020">
						<span>Address/Room #<sup><em>*</em></sup></span>
						<input type="text" name="address" class="required" />
					</label>
				</div>
			</li>

<?php

//set today's date for date dropdown
    $date_day = date('j');
    $date_month = date('n');
    $date_year = date('Y');

?>

<li>When did your symptoms start?<br>
	<label class="indent2020">
		<span>
	<select name="month" id="month">
		<option value="1" <?php if ($date_month==1) {
    echo "selected";
} ?>>Jan</option>
		<option value="2" <?php if ($date_month==2) {
    echo "selected";
} ?>>Feb</option>
		<option value="3" <?php if ($date_month==3) {
    echo "selected";
} ?>>Mar</option>
		<option value="4" <?php if ($date_month==4) {
    echo "selected";
} ?>>Apr</option>
		<option value="5" <?php if ($date_month==5) {
    echo "selected";
} ?>>May</option>
		<option value="6" <?php if ($date_month==6) {
    echo "selected";
} ?>>Jun</option>
		<option value="7" <?php if ($date_month==7) {
    echo "selected";
} ?>>Jul</option>
		<option value="8" <?php if ($date_month==8) {
    echo "selected";
} ?>>Aug</option>
		<option value="9" <?php if ($date_month==9) {
    echo "selected";
} ?>>Sep</option>
		<option value="10" <?php if ($date_month==10) {
    echo "selected";
} ?>>Oct</option>
		<option value="11" <?php if ($date_month==11) {
    echo "selected";
} ?>>Nov</option>
		<option value="12" <?php if ($date_month==12) {
    echo "selected";
} ?>>Dec</option>
	</select>

			<select name="day" id="day">
				<?php		for ($i=1; $i<32; $i++) {
    echo "<option value='$i'";
    if ($date_day==$i) {
        echo " selected ";
    }
    echo ">$i</option>\n";
}
                ?>
    	</select>

		<select name="year" id="select">
		<option value="2021" <?php if ($date_year==2021) {
                    echo "selected";
                } ?>>2021</option>		
		<option value="2022" <?php if ($date_year==2022) {
                    echo "selected";
                } ?>>2022</option>
  	</select>
	</span>
</label>
   </li>

	 <li>Does your family live close enough that you might go home while you are sick?
		 <p>
			 <label class="radio" for="radio10">
				 <input type="radio" name="live_close" id="radio10" value="yes">
				 Yes
			 </label>
		 </p>
		 <p>
			 <label class="radio" for="radio11">
				 <input type="radio" name="live_close" id="radio11" value="no">
				 No
			 </label>
		 </p>
		 <div id="if-yes" style="display: none;">
			 <p>Have you or do you intend to go home until you feel better?</p>
			 <p>
				<label class="radio" for="radio12">
					<input type="radio" name="home" id="radio12" value="no">
				 	No, I don't intend to go home
				</label>
			</p>
			<p>
			 	<label class="radio" for="radio13">
					<input type="radio" name="home" id="radio13" value="intend">
					Yes, I intend to go home
				</label>
			</p>
			<p>
				<label class="radio" for="radio14">
					<input type="radio" name="home" id="radio14" value="already_home">
					Yes, I am already home
				</label>
			</p>
		 </div>
	 </li>

	 <li>Have you talked with your parents/family about your current illness?
		 <p>
			 <label class="radio" for="radio8">
				 <input type="radio" name="parents" id="radio8" value="yes">
				 YES
			 </label>
		 </p>
		 <p>
			 <label class="radio" for="radio9">
				 <input type="radio" name="parents" id="radio9" value="no">
				 NO
			 </label>
		 </p>
	 </li>

	<p class="indent2020">
		<span class="alert2020">!</span> <i>If you have not, we encourage you to communicate with your family.</i>
	</p>

	<li>
		<div id="food-on-campus">
			For students who are in on-campus housing, Brown can provide a food pack of non-perishable items to assist you while you are ill.
			<br />
		</div>

		<div id="food-isolation">
			For students who are moved to temporary isolation/quarantine housing, Brown will provide food items to assist you while you are isolating. Our team will be in touch with you to discuss within 24 hours.
			<br />
		</div>

		<div id="food-off-campus">
			For students who live off-campus, Brown can arrange for a food pack of non-perishable items that a friend or roommate can pick up for you, if this would be helpful
			<br />
		</div>

		<div id="obtain-food">
			Do you need assistance obtaining food?
			<p>
				<label class="radio" for="assistance_obtaining_food_yes">
					<input type="radio" name="assistance_obtaining_food" id="assistance_obtaining_food_yes" value="yes">
					YES
				</label>
			</p>

			<p>
				<label class="radio" for="assistance_obtaining_food_no">
					<input type="radio" name="assistance_obtaining_food" id="assistance_obtaining_food_no" value="no">
					NO
				</label>
			</p>

			<div id="have-food-assistant">
				Do you have a friend, roommate or someone else who can assist with picking up a food pack?
				<p>
					<label class="radio" for="radio44">
						<input type="radio" name="food" id="radio44" value="yes">
						YES
					</label>
				</p>
				<p>
					<label class="radio" for="radio55">
						<input type="radio" name="food" id="radio55" value="no">
						NO
					</label>
				</p>
			</div>

			<div class="input-wrap" id="food-assistant">
				<label class="indent2020">
					<span>What is that person's name?<sup><em>*</em></sup></span>
					<input type="text" name="food_bringer" id="food_bringer" />
				</label>
			</div>
		</div>

		<div id="allergy-questions">
		<p>
			Do you have any allergies or food restrictions?
			<p>
				<label class="radio" for="radio43">
					<input type="radio" name="allergies" id="radio43" value="yes">
					YES
				</label>
			</p>
			<p>
				<label class="radio" for="radio53">
					<input type="radio" name="allergies" id="radio53" value="no">
					NO
				</label>
			</p>
		</p>

		<div id="food-restrictions" style="display:none;">
			<label class="indent2020">What restrictions or allergies do you have?
				<!--was food-restrictions-->
				<input type="text" name="food_restrictions_allergies" id="food_restrictions_allergies" />
			</label>
		</div>

		</div>

	</li>

	<li>Banner shows that you are registered for the following courses this semester:
		<?php include("courselist.inc.php"); ?>
		<div>
			<span class="alert2020">!</span> <i>Note: If you are teaching or TAing any classes, that information will not be displayed here.</i><br>
			<label>If this list of courses is incorrect, please tell us:</label>
			<textarea name="incorrect_courses" rows="5" cols="40"></textarea><br>
			<small>(64,000 character limit)</small><br><br>
			Do you have an exam in any of your courses in the next five days?<em><sup>*</sup></em><br>
			<label class="radio" for="radio_exam_yes">
				<input type="radio" name="exam" id="radio_exam_yes" value="yes" class="required">
				YES
			</label>
			<p></p>
			<p>
			<label class="radio" for="radio_exam_no">
				<input type="radio" name="exam" id="radio_exam_no" value="no" class="required">
				NO
			</label>
			</p>
		</div>
	</li>

</ol>

<p>If you have any other concerns that don't fit in to the questions above and with which you need assistance, please raise these concerns with the person who contacts you.</p>
<p><label id="check-label"><input type="checkbox" name="accept" id="accept" value="yes" /><strong> I authorize the sharing of this information with appropriate staff in Campus Life and the Dean of the College to facilitate communication with me regarding
			my service needs during the course of my illness.</strong></label></p>
<div align="center"><input type="submit" name="button" id="button" value="Submit"></div>

</form>

</div>
</main>

<!--<script type="text/javascript" src="/js/jquery/jquery.min.js"></script>-->
<!--<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>-->
<script src="https://code.jquery.com/jquery-latest.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.min.js"></script>

<script type="text/javascript" language="javascript" charset="utf-8">
<!--
	$(document).ready(function() {
		$("#if-yes").hide();
		$("input[name=live_close]").bind("keypress click", toggleQualifier);

		$("#food-assistant").hide();
		$("input[name=food]").bind("keypress click", toggleQualifierAssistant);

		$("#food-off-campus").hide();
		$("#food-isolation").hide();

		$("#food-restrictions").hide();
		$("input[name=allergies]").bind("keypress click", toggleQualifierAllergies);

		$("#have-food-assistant").hide();
		$("input[name=assistance_obtaining_food]").bind("keypress click", toggleQualifierDorm);

		$("#bring-food").hide();
		$("input[name=food]").bind("keypress click", toggleQualifier1);

		//clear values if 'no' is selected
		$('input:radio[name="assistance_obtaining_food"]').change(function() {
			if (this.checked && this.value == 'no') {
				$('input[name="food"]').prop('checked', false);
				$('input[name="food_bringer"]').val('');
				$("#food-assistant").hide();
			}
		});

		//clear values if 'no' is selected
		$('input:radio[name="food"]').change(function() {
			if (this.checked && this.value == 'no') {
				$('input[name="food_bringer"]').val('');
			}
		});

		//clear values if 'no' is selected
		$('input:radio[name="allergies"]').change(function() {
			if (this.checked && this.value == 'no') {
				$('input[name="food_restrictions_allergies"]').val('');
			}
		});

		//clear values if 'no' is selected
		$('input:radio[name="live_close"]').change(function() {
			if (this.checked && this.value == 'no') {
				$('input[name="home"]').prop('checked', false);
			}
		});

		$("select.living").change(function() {
			//clear values on-change
			$('input[name="assistance_obtaining_food"]').prop('checked', false);
			$('input[name="food"]').prop('checked', false);
			$('input[name="allergies"]').prop('checked', false);
			$('input[name="food_bringer"]').val('');
			$('input[name="food_restrictions_allergies"]').val('');

			var selected = $(this).children("option:selected").val();
			switch(selected) {
				case selected = "dorm": {
					$("#food-off-campus").hide();
					$("#food-on-campus").slideDown();
					$("#food-isolation").hide();
					$("#obtain-food").slideDown();
					$("#have-food-assistant").hide();
					$("#food-assistant").hide();
					$("#food-restrictions").hide();
				}
				break
				case selected = "isolation": {
					$("#food-off-campus").hide();
					$("#food-on-campus").hide();
					$("#food-isolation").slideDown();
					$("#obtain-food").hide();
					$("#food-restrictions").hide();
				}
				break
				case selected = "off_campus": {
					$("#have-food-assistant").hide();
					$("#food-assistant").hide();
					$("#food-off-campus").slideDown();
					$("#food-on-campus").hide();
					$("#food-isolation").hide();
					$("#obtain-food").slideDown();
					$("#food-restrictions").hide();
				}
				break
				default: {
					$("#food-off-campus").hide();
					$("#food-on-campus").hide();
					$("#food-isolation").hide();
					$("#have-food-assistant").hide();
					$("#food-assistant").hide();
					$("#food-restrictions").hide();
					$("#obtain-food").slideDown();
				}
				break
			}
		});

		function toggleQualifier() {
			if ($("input[name=live_close]:checked").val() == "yes") {
				$("#if-yes").slideDown();
			} else {
				$("#if-yes").slideUp("fast");
			}
		}

		function toggleQualifierAssistant() {
			if ($("input[name=food]:checked").val() == "yes") {
				$("#food-assistant").slideDown();
			} else {
				$("#food-assistant").slideUp("fast");
			}
		}

		function toggleQualifierAllergies() {
			if($("input[name=allergies]:checked").val() == "yes") {
				$("#food-restrictions").slideDown();
			} else {
				$("#food-restrictions").slideUp("fast");
			}
		}

		function toggleQualifierDorm() {
			var selected = $("#living").children("option:selected").val();
			if ($("input[name=assistance_obtaining_food]:checked").val() == "yes") {
				if (selected == 'dorm') {
					$("#have-food-assistant").slideDown();
				}
				else if (selected == "off_campus") {
					$("#food-assistant").slideDown();
				}
			} else {
				if (selected == 'dorm') {
					$("#have-food-assistant").slideUp("fast");
				}
				else if (selected == "off_campus") {
					$("#food-assistant").slideUp("fast");
				}
			}
		}

		function toggleQualifier1() {
			if ($("input[name=food]:checked").val() == "yes") {
				$("#bring-food").slideDown();
			} else {
				$("#bring-food").slideUp("fast");
			}
		}

		$("#form1").validate();
	}); //end $(document).ready
//-->
</script>

</div>

<footer>
	<p><a href="https://www.brown.edu/">Brown University</a> | Providence, RI 02912 | (401) 863-1000 | © Brown University</p>
</footer>
</body>
</html>
