<?php
# index.php
# Brown University
# Campus Life Flu Web Template
# web_services@brown.edu
# 2009-09-02

require "/www/data/httpd/htdocs/Facilities/CIS/core/ldap/ldaputils.inc.php";
require "../config/gateway_config.php";
require "../admin/fluweb_functions.php";
require "../config.php";
require "../dbconn.php";

	/*
	 * Set a title for the page, " | Brown University" will be appended to it
	 */
	$page_title = "Reporting Illness and Missed Classes";

	/*
	 * Override the banner size
	 */
	$banner["size"] = "S"; // none, S, M, L;  right now, "S" means no banner
//	$banner["path"] = ""; // we could use a different banner here if we wanted to.


	/*
	 * Which layout does this page have?
	 */
	$layout_type = "2"; // text, 2, or 3; 2 & 3 specify columns

	/*
	 * Do you want to display the search field in the sidebar?
	 */
	$show_search = FALSE; // true or false

	/*
	 * Do you want to show the department contact info under the nav?
	 */
	$show_address = TRUE; // true or false


	/*
	 * Do you have any special markup for the <head>?  Put it here!
	 */
	$extra_head_content = '<link rel="stylesheet" href="css/handheld.css" type="text/css" media="handheld">
';

	// include_once "header_main.tpl.php";

	$accept = htmlentities($_POST['accept']);
	$message = ($accept != "yes") ? "<p>You must authorize contact to the appropriate staff in Student Support Services regarding your services needs during the course of your illness on the previous page.  Please go back and mark that box.  Thank you.</p>" : '';
?>
<html>
<head>
	<title><?php if(!empty($page_title)) echo strip_tags($page_title) ." | " ?> Brown University</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="Description" content="Reporting ILI and Missed Classes - Brown University Campus Life" />
	<link rel="start" href="<?php echo BASEHREF ?>" title="Home" />
	<link rel="search" href="#search" title="Search this website" />
	<link type="text/css" rel="stylesheet" media="screen" href="../css/2020.css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
</head>

<body>
	<div id="wrapper2020">
		<header>
			<div id="brown2020">
				<a href="https://www.brown.edu" id="brown-logo2020"><img id="logo" src="../img/logo.png" alt=""></a>
				<a href="https://www.brown.edu" id="brown-type2020">Brown University</a>
			</div>
		</header>

		<main>
			<h1>Reporting Illness and Missed Classes</h1>
			<div>
				<?php
				$accept = htmlentities($_POST['accept']);
				$message = ($accept != "yes") ? "<p>You must authorize contact to the appropriate staff in Student Support Services regarding your services needs during the course of your illness on the previous page.</p><p class='alert'>Please go back, mark that box, then re-submit.</p><p>Thank you.</p>" : '';
				if ($message) {
					echo $message;
				}

				else { ?>
					<h2>Thank you.</h2>
					<p>You will receive a follow-up email within the next day from Student Support Services.</p>
					<p>
						<span class="alert2020">!</span> &nbsp;
						<strong>If your condition worsens, please call University Health Services at <span><a href="tel:14018631330">(401) 863-1330</a></span> for a medical emergency call EMS at <span><a href="tel:4018634111">(401) 863-4111</a></strong>
					</p>
				<?php } //end else ?>
			</div>
		</main>
		<!-- End #main -->
		<footer>
			<p><a href="https://www.brown.edu/">Brown University</a> | Providence, RI 02912 | (401) 863-1000 | © Brown University</p>
		</footer>
	<!-- End #wrapper -->
	</div>
	<?
		if ($accept == "yes") {
			$username = $_SERVER['BROWN_AUTH_USERNAME'];

			if (!isset($username)) { $username=$_SERVER['REDIRECT_BROWN_AUTH_USERNAME']; }

			$name = htmlentities($_POST['name']);
			$bruid = htmlentities($_POST['bruid']);
			$status = htmlentities($_POST['status']);
			$phone1 = htmlentities($_POST['phone1'], ENT_QUOTES);
			$phone2 = htmlentities($_POST['phone2'], ENT_QUOTES);
			$living = htmlentities($_POST['living']);
			$address = htmlentities($_POST['address'], ENT_QUOTES);
			$month = htmlentities($_POST['month']);
			$day = htmlentities($_POST['day']);
			$year = htmlentities($_POST['year']);
			$food = htmlentities($_POST['food']);
			$food_bringer = htmlentities($_POST['food_bringer'], ENT_QUOTES);
			$parents = htmlentities($_POST['parents']);
			$live_close = htmlentities($_POST['live_close']);
			$home = htmlentities($_POST['home']);
			$incorrect_courses = htmlentities($_POST['incorrect_courses'], ENT_QUOTES);
			$exam = htmlentities($_POST['exam']);
			$username = htmlentities($username);
			$assistance_obtaining_food = htmlentities($_POST['assistance_obtaining_food']);
			$allergies = htmlentities($_POST['allergies']);
			$food_restrictions_allergies = htmlentities($_POST['food_restrictions_allergies'], ENT_QUOTES);

			$symptom_onset = $year . "-" . $month . "-" . $day;

			$insert = "INSERT INTO Registry (name, bannerId, status, phone1, phone2,living, address,symptom_onset, food, food_bringer, parents, live_close, home, incorrect_courses, exam,username, accept, assistance_obtaining_food, allergies, food_restrictions_allergies)
			VALUES
			('$name','$bruid','$status','$phone1','$phone2','$living','$address','$symptom_onset','$food','$food_bringer','$parents','$live_close','$home','$incorrect_courses','$exam','$username','$accept', '$assistance_obtaining_food', '$allergies', '$food_restrictions_allergies')";

			$worked = mysql_query($insert,$conn);

			if (!$worked) {
				die('Problem saving the data. Please contact Student Support Services - studentsupport@brown.edu.');
			}
			else {
				$id = htmlspecialchars(mysql_insert_id($conn));

				// Create an entry in the Status table
				$status_update = "INSERT INTO Status (registry_id, status) VALUES ($id, 'new')";
				mysql_query($status_update, $conn);

				$admin_address_prefix = ($is_dev) ? 'cis-qas.' : '';

				// send heads up to fluweb notify
				//$to = "MaryLou_McMillan@brown.edu, Jonah_Ward@brown.edu, Richard_bova@brown.edu, Health_Services@brown.edu, Margaret_Klawunn@brown.edu, Belinda_Johnson@brown.edu, Stephen_Lassonde@brown.edu, Scott_Thacher@brown.edu";
				$to = ($is_dev) ? "robert_norigian@brown.edu" : "Fluweb-Notify@brown.edu";
				$headers = "From: ILI and Missed Classes Reporting System <WebServices@brown.edu>";
				$subject = "New ILI form submission";
				$body = "Please go check the admin section for more info.\r\r".$basehref."/admin/actions.php?id=$id";

				mail($to, $subject, $body,$headers);

				// send an email to the Med School if the student is a Med student
				// NOTE:  LDAP apparently has a leading blank space - either chomp it or look for it
				if ($status == 'Medical Student') {
					$to = ($is_dev) ? "robert_norigian@brown.edu" : "studentsupport@brown.edu";
					$headers = "From: ILI and Missed Classes Reporting System <WebServices@brown.edu>";
					$subject = "New ILI form submission - Medical Student";
					$body = "A Medical student is reporting an Influenza-Like Illness. Please check the admin section for details.\r\r".$basehref."/admin/actions.php?id=$id";

					mail($to, $subject, $body, $headers);
				}
			}
		}

	?>
<script type="text/javascript" src="/js/jquery/jquery.min.js"></script>
</body>
</html>
