<?php
# acadsupp.class.php
# Brown University
# webservices@brown.edu
# 2009-08-08

class AcadSupp_Data {
	
	public $cachefile;
	public $Db;


/**
 * Class Constructor
 * 
 */
	public function __construct(MySQL $Db) {
		$this->cachefile = "./services.cache.txt";
		$this->Db = $Db;		
		return TRUE;
	}


/**
 * Open the A-Z Directory cache file.
 *
 * @return	Array
 */
	public function openDirectoryCache() {
		$atozfile = $this->cachefile;
		return unserialize(file_get_contents($atozfile));
	}


/**
 * Get a hash of all courses in the database
 *
 * @param	$max	an integer that sets a limit on how many images it pulls.
 * @return	array	hash of database rows from the table
 */
	public function getAllSGCourses($max='') {
		$limit = "";
		if($this->validateInteger($max)) {
			$limit = " LIMIT $max ";
		}
				
		$sql = "SELECT * FROM study_groups
				WHERE active = 1
				ORDER BY course
				$limit
				";
		return $this->Db->Get($sql);

	} // end GetList()

	
	
	
	public function checkSGCourse($course) {
				
		$sql = "SELECT course FROM study_groups
				WHERE course = '$course'
				AND active = 1
				";
        return $this->Db->Get($sql);


	} // end checkSGCourse()		


/**
 * Checks if the passed argument is an integer.
 * 
 * @param	$value		The string to be evaulated
 * @return	integer		Returns the integer on success,
 *						false if it fails validation
 */
	public function ValidateInteger($value) {
	
		$value = trim($value);

		if(strval(intval($value)) != $value) {
			return FALSE;
		} else {
			return $value;
		}

	} //end ValidateInteger
	


}

?>