<?
/*
// $Id: courselist.inc.php 854 2009-06-24 13:39:55Z anwosu $
// $Rev: 854 $
// $Date: 2009-06-24 09:39:55 -0400 (Wed, 24 Jun 2009) $
// $Author: anwosu $
// $URL: https://svn.brown.edu/svn/sys-srv/gateway/trunk/courselist.inc.php $
*/


// setup arrays to get any current requests for course services
	$myRequests = array();

// ArraySearchRecursive function: for searching multi-dimensional array
    /**
     * from: http://www.php.net/manual/en/function.array-search.php#69232 via 
     * 	http://greengaloshes.cc/2007/04/recursive-multidimensional-array-search-in-php/
     *
     * search haystack for needle and return an array of the key path, FALSE otherwise.
     * if NeedleKey is given, return only for this key 
     * mixed ArraySearchRecursive(mixed Needle,array Haystack [,NeedleKey[,bool Strict[,array Path]]]) 
     **/
function ArraySearchRecursive($Needle,$Haystack,$NeedleKey="",$Strict=false,$Path=array()) {
	if(!is_array($Haystack))
		return false;
	foreach($Haystack as $Key => $Val) {
		if(is_array($Val)&& $SubPath=ArraySearchRecursive($Needle,$Val,$NeedleKey, $Strict,$Path)) {
			$Path=array_merge($Path,Array($Key),$SubPath);
			return $Path;
		}
		elseif((!$Strict&&$Val==$Needle&&$Key==(strlen($NeedleKey)>0?$NeedleKey:$Key))||($Strict&&$Val===$Needle&&$Key==(strlen($NeedleKey)>0?$NeedleKey:$Key))) {
			$Path[]=$Key;
			return $Path;
		}
	}
	return false;
}
/*
// course service requests
	get_gateway_db_connection();
	// get requests originated by this user
	$gwDBresults = mysql_query("select b.BUNDLE_NAME, s.SERVICE_NAME, bsr.BUNDLE_ID, bsr.SERVICE_ID 
		from BUNDLE_SERVICE_REQUEST bsr, BUNDLE b, BUNDLE_SERVICE bs, SERVICE s 
		where ((bsr.BUNDLE_SERVICE_REQUEST_USER = '$instructor') 
		and (b.BUNDLE_ID = bs.BUNDLE_ID) 
		and (s.SERVICE_ID = bs.SERVICE_ID) 
		and (b.BUNDLE_ID = bsr.BUNDLE_ID) 
		and (s.SERVICE_ID = bsr.SERVICE_ID) 
		and (bsr.BUNDLE_SERVICE_REQUEST_STATUS = 1)
		)
		order by b.BUNDLE_NAME, s.SERVICE_NAME, bsr.BUNDLE_SERVICE_REQUEST_DATE
	");
	if(!gwDBresults) {
		error_log("couselist-test: my requests query failed: " . mysql_error());
	}
	else if (mysql_num_rows($gwDBresults) > 0){
		$prev_course="";
		$i=0;
		// build array of requested services (per course)
		while($row = mysql_fetch_assoc($gwDBresults)) {
			$dbCourseAttr = explode(":",$row['BUNDLE_NAME']);

			$dbDeptCode = $dbCourseAttr[0];
			$dbCrseCode = $dbCourseAttr[1];
			$dbYrSem = $dbCourseAttr[2];
			$dbSect = $dbCourseAttr[3];
		
			$dbCourseAttrArr = array('YEAR_SEM' => $dbYrSem, 'DEPT_CODE' => $dbDeptCode, 'COURSE_CODE' => $dbCrseCode, 'SECT' => $dbSect);
			$row = array_merge($dbCourseAttrArr,$row);
			
			array_push($myRequests,$row);
		}
		// remove first (empty) array in set created by looping sequence
		arsort($myRequests);
		array_pop($myRequests);
		asort($myRequests);
	}
	
*/
?>

<div id="courselist">
	<div id="theCourses">
<?php 
foreach ($semesters as $semkey => $semval) {
?>

		<div id="<?php echo $semkey; ?>">	
		<?php

	// get courses for $semval semester for which current users registered as student, auditor, or vagabond (source - LDAP)
	$myCoursesLDAP = findPersonCourses($visitor, "*:" . $semval, "Learner");
	
		echo "<!-- SEMVAL: ".$semval." -->";

		$mySemCourses = $myCoursesLDAP['courses'];
	
$LDAPcount = count($myCoursesLDAP['courses']);

if (!$myCoursesLDAP['status']['ok']) {
    $message = $myCoursesLDAP['status']['message'];
    print "Failed: $message<br />";

} elseif ($LDAPcount < 1) {
		echo "<i>You are not currently registered for any courses this semester.</i>";
} else {
?>
			<div>
<?php
$i=0;
//	parse individual course information	
	foreach ($mySemCourses as $k=>$v) {
		// get course attributes from course's "bundle" name
		$course_attribs = explode(":",$v);
		
		
		
		$dept_code = $course_attribs[0];
		$course_code = $course_attribs[1];
		$year_semester = $course_attribs[2];
		$section = $course_attribs[3];
		
		// insert course name/header for "theRequests" accordion
		echo '<h5 class="tight">';
		echo $dept_code . " " . $course_code . "-" . $section;		
  		$course_metadata =  getCourseMetadata($mySemCourses[$i]);
  		echo " - ".$course_metadata['metadata']['brownsectiontitle'];
        echo '&nbsp; <a href="http://courses.brown.edu/page.php?key=' . $mySemCourses[$i++] . '" title="Click to view details for this ' . $dept_code . ' ' . $course_code . ' section." class="weblink" target="_blank">&nbsp;</a></h5>';
	
	} //end foreach loop 
}
}
?>
	</div>
</div>
