<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US">

<head>

    <title><?php if(!empty($page_title)) echo strip_tags($page_title) ." | " ?> Brown University</title>


	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="Description" content="Reporting ILI and Missed Classes - Brown University Campus Life" />

	<link rel="start" href="<?php echo BASEHREF ?>" title="Home" />
	<link rel="search" href="#search" title="Search this website" />

<?php if ($jQuery): ?>
	<script type="text/javascript" src="/js/jquery/jquery.min.js"></script>
<?php endif; ?>

    <style type="text/css" media="screen,projector">@import url("<?php echo BASEHREF ?>/css/3col.css");</style>
    <style type="text/css" media="print">@import url("http://www.brown.edu/Templates/common/css/print.css");</style>

<?php if($layout_type == "2"): ?>
    <style type="text/css" media="screen,projector">@import url("<?php echo BASEHREF ?>/css/2col.css");</style>
<?php endif; ?>



<!-- Custom department styles -->
    <style type="text/css" media="screen">@import url("<?php echo BASEHREF ?>/css/style.css");</style>

	<style type="text/css" media="screen,projection">

		* html #brown-logo img {
			/* for IE 6 */
			behavior: url(<?php echo BASEHREF ?>/css/iepngfix.htc);
			height: 49px; width: 31px;
		}
		#brown-type { background-image: url(<?php echo BASEHREF ?>/img/brown-university.png); }
		#department-head { background-image: url(<?php echo $banner['path'] ?>); }

	<?php if($banner['size'] == "M"): ?>
		#department-head { height:130px; }

	<?php elseif($banner['size'] == "L"): ?>
		#department-head { height:220px; }

	<?php elseif($banner['size'] == "S" || $banner['size'] == "none" || $layout_type == "text"): ?>
		#header { border-bottom: 0; height: 30px; margin: 0; }
		#gSearch-icon { right: 60px; }
		#gSearch-form { right: 85px; }
		.gloader { right: 255px; }
		#gSearchArea { right: 85px; bottom: -20px; _bottom: 0; }
		#content { >z-index: 0; >position:relative; }
		#header {  >position: relative; >z-index: 1; }
	<?php endif; ?>

	</style>

	<?php if(!empty($extra_head_content)) echo $extra_head_content ?>

</head>


<body>

<div class="none">
	<ul>
		<li><a href="#main" accesskey="s">Skip over navigation.</a> [s]</li>
		<li><a href="<?php echo BASEHREF ?>" accesskey="1">Go to the home page.</a> [1]</li>
	</ul>
</div>

<!-- Begin #wrapper (includes #header, #content, and #endbar) -->
<div id="wrapper">

		<div id="header">
			<!-- display the Brown Bar, which is the same no matter what -->
			<div id="brown">
				<a href="http://www.brown.edu" id="brown-logo"><img src="<?php echo BASEHREF ?>/img/brown-logo.png" alt="" /></a>
				<a href="http://www.brown.edu" id="brown-type">Brown University</a>
			</div>

			<?php if($banner['size'] == "M" || $banner['size'] == "L"): ?>
			<div id="department-head">
				<a href="<?php echo BASEHREF ?>" title="Return to the CIS home page" id="dept-home">CIS: Computing and Information Services</a>
			</div>
			<?php endif; ?>

			<?php
				if(isset($show_breadcrumb) && $show_breadcrumb == TRUE):
			?>
			<div id="breadcrumb-bar">
				<?php
					if(isset($page_title)) { $Crumbs->setPageTitle($page_title); }
					echo $Crumbs->outputHTML();
				?>
			</div>
			<?php endif; ?>


		</div> 
